2018-08-17 14:23 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002953OpenFOAM[All Projects] Bugpublic2018-05-25 09:44
ReporterHTauber 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version16.04
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002953: externalWallHeatFluxTemperature causes wrong results if emissivity is not zero
DescriptionHi,
I'm using chtMultiRegionFoam for calculating the thermal conduction in the solids. At one boundary I use the externalWallHeatFluxTemperature condition by using the coefficient mode. The heat transfer coefficient is set to 7 W/m².K and the emissivity is set to 0.3. If Ta=300 and the temperature of the solid is 300 K as well, no heat flux should be expected. But when emissivity > 0 there is noticed a heat flux (as seen in figure1).
Steps To Reproducein file 0/solid2/T

    wall1
    {
        type externalWallHeatFluxTemperature;
        value uniform 300;
        mode coefficient;
        Ta constant 300;
        h uniform 7;
        kappaMethod solidThermo;
        emissivity 0.3;
    }
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009630

henry (manager)

Steps to reproduce?

~0009631

HTauber (reporter)

Which further information do you need ?

~0009632

henry (manager)

I only see an image attached and the instructions to

in file 0/solid2/T

    wall1
    {
        type externalWallHeatFluxTemperature;
        value uniform 300;
        mode coefficient;
        Ta constant 300;
        h uniform 7;
        kappaMethod solidThermo;
        emissivity 0.3;
    }

but I don't have the file 0/solid2/T or any other file of the case. Is this a tutorial case? If so which one? If not is the case available somewhere?

~0009633

HTauber (reporter)

Enclosed you will find the case.

~0009634

henry (manager)

This should be resolved by commit 6c560795cb3a1860d1800ddc3c3b43ad6688b82d
+Notes

-Issue History
Date Modified Username Field Change
2018-05-23 09:05 HTauber New Issue
2018-05-23 09:05 HTauber File Added: figure1.jpg
2018-05-23 09:16 henry Note Added: 0009630
2018-05-23 09:28 HTauber Note Added: 0009631
2018-05-23 09:38 henry Note Added: 0009632
2018-05-23 10:13 HTauber File Added: externalWall.tar.gz
2018-05-23 10:13 HTauber Note Added: 0009633
2018-05-23 14:16 henry Note Added: 0009634
2018-05-25 09:44 henry Assigned To => henry
2018-05-25 09:44 henry Status new => resolved
2018-05-25 09:44 henry Resolution open => fixed
2018-05-25 09:44 henry Fixed in Version => dev
+Issue History